Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class DurableUnsubscribe

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.DurableUnsubscribe

All Implemented Interfaces:
  Packet

public class DurableUnsubscribe
extends AbstractPacket

Command to remove a Durable Subscription

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`DurableUnsubscribe()`

Method Summary
`java.lang.String` | `getClientId()`
`int` | `getPacketType()` Return the type of Packet
`java.lang.String` | `getSubscriberName()`
`void` | `setClientId(java.lang.String clientId)`
`void` | `setSubscriberName(java.lang.String subscriberName)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`decrementMemoryReferenceCount, equals, equals, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, incrementMemoryReferenceCount, isJMSMessage, isReceipt, isReceiptRequired, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DurableUnsubscribe

    public DurableUnsubscribe()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### getClientId

    public java.lang.String getClientId()

  Returns:
    Returns the clientId.

### setClientId

    public void setClientId(java.lang.String clientId)

  Parameters:
    `clientId` - The clientId to set.

### getSubscriberName

    public java.lang.String getSubscriberName()

  Returns:
    Returns the subscriberName.

### setSubscriberName

    public void setSubscriberName(java.lang.String subscriberName)

  Parameters:
    `subscriberName` - The subscriberName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.